Edgewall Software

Changes between Version 15 and Version 16 of TracPluggableModules


Ignore:
Timestamp:
Jan 13, 2005, 9:27:17 AM (18 years ago)
Author:
Christopher Lenz
Comment:

Point out dependency on PyProtocols

Legend:

Unmodified
Added
Removed
Modified
  • TracPluggableModules

    v15 v16  
    151151 * A plug-in that runs the current set of modules in a compatability layer ({{{trac/plugins/compat.py}}}), providing them the environment they expect.
    152152
    153 None of the actual modules have been migrated to plug-ins yet, the all run under the compatibility layer. They will be migrated one after another in the next couple of days/weeks.
     153None of the actual modules have been migrated to plug-ins yet, they all run under the compatibility layer. They will be migrated one after another in the next couple of days/weeks.
    154154
    155155To use the CGI, configure your web-server the same way as for a regular Trac instance. The CGI script is in {{{cgi-bin/trac.cgi}}} just like before. You will however need to add the following snippet to your [wiki:TracIni trac.ini] file:
     
    163163Here, ''default'' tells the request dispatcher which plug-in to use on a request to the root URL (i.e. {{{SCRIPT_NAME}}} without further {{{PATH_INFO}}}). It basically designates the welcome page. ''filters'' determines the order in which the request filters will be run (so yes, order does matter -- a lot).
    164164
     165You will also need to have [http://peak.telecommunity.com/PyProtocols.html PyProtocols] installed.
     166
    165167== Your Ideas Wanted ==
    166168